#include <avr/io.h>
#include <avr/interrupt.h>
#include <avr/pgmspace.h>
#include <avr/wdt.h>

#define XSize	160		//Spalten
#define YSize	128		//Zeilen


#define FT245_Data	_SFR_MEM8((unsigned)256*16)
#define RXF			(PIND&32)


/*__inline__*/ static unsigned char uart_getchar(void)
{	while (RXF);

    return FT245_Data;
}


unsigned char pixel [YSize][XSize];


void load_grafik(void)
{	unsigned char x, y, xsize, ysize, c;

	uart_getchar();
	uart_getchar();
	xsize=uart_getchar();
	ysize=uart_getchar();

	for (y=0; y<ysize; y++)
	{	for (x=0; x<xsize; x++)
		{   c = uart_getchar();
				pixel[y][x]=c;
		}
	}
}
